// eslint-disable-next-line no-unused-vars
import { DATA_PREVIEW } from '../constants'
import {
  assign,
  getTransforms
} from '../utilities'
export default {
  methods: {
    initPreview() {
      const { preview } = this
      if (!preview) {
        return
      }
      // eslint-disable-next-line no-unused-vars
      const previews = preview
    },
    resetPreview() {
    },
    previewing() {
      const { imageData, canvasData, cropBoxData } = this
      // eslint-disable-next-line no-unused-vars
      const { width: cropBoxWidth, height: cropBoxHeight } = cropBoxData
      const { width, height } = imageData
      const left = cropBoxData.left - canvasData.left - imageData.left
      const top = cropBoxData.top - canvasData.top - imageData.top

      if (!this.cropped || this.disabled) {
        return
      }
      this.viewBoxImageStyle = assign({
        width: width + 'px',
        height: height + 'px'
      }, getTransforms(assign({
        translateX: -left,
        translateY: -top
      }, imageData)))
    }
  }
}
