import { assign } from '../utilities'

export default {
  watch: {
    image() {
      this.loadImage()
    },
    ready(newVal) {
      if (newVal) {
        this.$_ready()
      }
    },
    dragMode(val) {
      this.setDragMode(val)
    },
    viewMode() {
      this.imageData = assign({}, this.initialImageData)
      this.initCanvas()
      this.reset()
    }
  }
}
