export default {
  methods: {
    cropstart() {
      this.$_cropstart()
    },
    cropmove() {
      this.$_cropmove()
    },
    cropend() {
      this.$_cropend()
    },
    croping(event) {
      this.$_crop(event.detail)
    },
    zooming(event) {
      this.$_zoom(event.detail)
    },
    $_imgLoadError() {
      this.$emit('imgLoadError', 'error')
    },
    $_ready() {
      this.$emit('ready', {})
    },
    $_cropstart(option) {
      this.$emit('cropStart', option)
    },
    $_cropmove(option) {
      this.$emit('cropMove', option)
    },
    $_cropend(option) {
      this.$emit('cropEnd', option)
    },
    $_crop(option) {
      this.$emit('crop', option)
    },
    $_zoom(option) {
      this.$emit('zoom', option)
    }
  }
}
